Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006982TestLinkBug Tracking System - JIRA Integrationpublic2015-03-05 10:142015-09-19 08:49
Reporterp3t3r 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.13 (2015 #1) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0006982: Possibility to upload screenshot attachment from Testlink to Jira
DescriptionAt this moment, when our Selenium scripts are running, and a test fails, a screenshot will be uploaded to Testlink as an attachment, which shows the screen when the given test fails. It gives us, testers a lot of help, because the Selenium scripts are running all the day, so when I review the failed cases, its easier to reproduce, if I see the error not only in the console, but in the screen. Plus the pop-up exception is saved as well. It would be really great iF I create a Jira issue from Testlink, I would be able to upload the screenshot as well as an attachment to the Jira issue
TagsNo tags attached.
Database (MySQL,Postgres,etc)Mysql
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0006830closedfman Availables hot-fixes for 1.9.13 & How To get full fixed package from GitHub 

-  Notes
(0022827)
fman (administrator)
2015-03-07 16:15
edited on: 2015-03-07 16:18

first implementation will allow to send in issue notes links to execution attachments.
These links will use the test plan api key (you can get it when enter an existent test plan in edit mode), allowing access to attachment download without need of previous login.

A new placeholder (still to be clearly defined) will be used to render insert of attachments links as much simple as possible.
Example %%EXECATT:1%% 1 is the attachment id that you can get when placing the mouse over the icon that allow access to attachment.
Testlink will be responsible for creating the link with all info (i.e. user will not have to worry to get the test plan api key)

this solution is generic => will work with any issue tracker

(0023976)
fman (administrator)
2015-09-19 08:49

1.9.14 Padawan - released - 2015-09-19

- Issue History
Date Modified Username Field Change
2015-03-05 10:14 p3t3r New Issue
2015-03-07 16:15 fman Note Added: 0022827
2015-03-07 16:15 fman Note Edited: 0022827 View Revisions
2015-03-07 16:17 fman Note Edited: 0022827 View Revisions
2015-03-07 16:17 fman Assigned To => fman
2015-03-07 16:17 fman Status new => assigned
2015-03-07 16:17 fman QA Team - Task Workflow Status => TBD
2015-03-07 16:18 fman Note Edited: 0022827 View Revisions
2015-03-14 15:56 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2015-03-14 15:56 fman Status assigned => resolved
2015-03-14 15:56 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-03-14 15:56 fman Resolution open => fixed
2015-03-14 15:57 fman Relationship added child of 0006830
2015-09-19 08:49 fman Note Added: 0023976
2015-09-19 08:49 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker